Upgrade 2.9 from 2.8.4

In this board you can talk about general questions about phpMyFAQ

Moderator: Thorsten

Post Reply
kotarominami
Posts: 2
Joined: Mon Sep 26, 2016 7:57 am

Upgrade 2.9 from 2.8.4

Post by kotarominami » Mon Sep 26, 2016 8:07 am

I want to upgrade from version 2.8.4 to latest 2.9, but after step 3 only blank page.
So, i am activate debug in bootstrap, and found error like this

Code: Select all

Fatal error: Declaration of PMF_DB_Mysql::getTableStatus() must be compatible with PMF_DB_Driver::getTableStatus($prefix = '') in /var/www/htdocs/inc/PMF/DB/Mysql.php on line 41
How to fix this error ?

Thorsten
Posts: 14793
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Upgrade 2.9 from 2.8.4

Post by Thorsten » Mon Sep 26, 2016 7:01 pm

Hi,

which type of MySQL do you use in config/database.php?

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

kotarominami
Posts: 2
Joined: Mon Sep 26, 2016 7:57 am

Re: Upgrade 2.9 from 2.8.4

Post by kotarominami » Tue Sep 27, 2016 9:23 am

Thorsten wrote:Hi,

which type of MySQL do you use in config/database.php?

bye
Thorsten
in documentation upgrade, there are some instruction for not deleting database.php and ldap.php (if you use LDAP) in the directory config/
so i am not delete or change the configuration

Code: Select all

<?php
$DB["server"] = '127.0.0.1';
$DB["user"] = 'usersql';
$DB["password"] = 'securepassword';
$DB["db"] = 'faqdb_helpdesk';
$DB["prefix"] = '';
$DB["type"] = 'mysql';
and after i am change type, update successfull !

Code: Select all

<?php
$DB["server"] = '127.0.0.1';
$DB["user"] = 'usersql';
$DB["password"] = 'securepassword';
$DB["db"] = 'faqdb_helpdesk';
$DB["prefix"] = '';
$DB["type"] = 'mysqli';
thanks for your reply...

Post Reply